Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.beanutils.locale
Class LocaleBeanUtils.Descriptor

    java.lang.Object
      |
      +--org.apache.commons.beanutils.locale.LocaleBeanUtils.Descriptor

Enclosing class:
  LocaleBeanUtils

Deprecated. moved into `LocaleBeanUtils`

protected static class LocaleBeanUtils.Descriptor
extends java.lang.Object

Constructor Summary
`LocaleBeanUtils.Descriptor(java.lang.Object target, java.lang.String name, java.lang.String propName, java.lang.String key, int index)` Deprecated. Construct a descriptor instance for the target bean and property.

Method Summary
`int` | `getIndex()` Deprecated. Return indexed property index.
`java.lang.String` | `getKey()` Deprecated. Return the mapped property key.
`java.lang.String` | `getName()` Deprecated. Return property name (includes indexed/mapped expr).
`java.lang.String` | `getPropName()` Deprecated. Return the property name.
`java.lang.Object` | `getTarget()` Deprecated. Return the target bean.
`void` | `setIndex(int index)` Deprecated. Set the indexed property index.
`void` | `setKey(java.lang.String key)` Deprecated. Set the mapped property key.
`void` | `setName(java.lang.String name)` Deprecated. Set the property name (includes indexed/mapped expr).
`void` | `setPropName(java.lang.String propName)` Deprecated. Set the property name.
`void` | `setTarget(java.lang.Object target)` Deprecated. Set the target bean.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LocaleBeanUtils.Descriptor

    public LocaleBeanUtils.Descriptor(java.lang.Object target,
                                      java.lang.String name,
                                      java.lang.String propName,
                                      java.lang.String key,
                                      int index)

  Deprecated.
  Construct a descriptor instance for the target bean and property.
  Parameters:
    `target` - The target bean
    `name` - The property name (includes indexed/mapped expr)
    `propName` - The property name
    `key` - The mapped property key (if any)
    `index` - The indexed property index (if any)

Method Detail

### getTarget

    public java.lang.Object getTarget()

  Deprecated.
  Return the target bean.
  Returns:
    The descriptors target bean

### setTarget

    public void setTarget(java.lang.Object target)

  Deprecated.
  Set the target bean.
  Parameters:
    `target` - The target bean

### getKey

    public java.lang.String getKey()

  Deprecated.
  Return the mapped property key.
  Returns:
    the mapped property key (if any)

### setKey

    public void setKey(java.lang.String key)

  Deprecated.
  Set the mapped property key.
  Parameters:
    `key` - The mapped property key (if any)

### getIndex

    public int getIndex()

  Deprecated.
  Return indexed property index.
  Returns:
    indexed property index (if any)

### setIndex

    public void setIndex(int index)

  Deprecated.
  Set the indexed property index.
  Parameters:
    `index` - The indexed property index (if any)

### getName

    public java.lang.String getName()

  Deprecated.
  Return property name (includes indexed/mapped expr).
  Returns:
    The property name (includes indexed/mapped expr)

### setName

    public void setName(java.lang.String name)

  Deprecated.
  Set the property name (includes indexed/mapped expr).
  Parameters:
    `name` - The property name (includes indexed/mapped expr)

### getPropName

    public java.lang.String getPropName()

  Deprecated.
  Return the property name.
  Returns:
    The property name

### setPropName

    public void setPropName(java.lang.String propName)

  Deprecated.
  Set the property name.
  Parameters:
    `propName` - The property name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007 The Apache Software Foundation. All Rights Reserved.